Package net.dona.doip.util.tls

## Class TlsProtocolAndCipherSuiteConfigurationUtil.SocketFactoryWrapper

- java.lang.Object
- - javax.net.SocketFactory
  - - javax.net.ssl.SSLSocketFactory
    - - net.dona.doip.util.tls.TlsProtocolAndCipherSuiteConfigurationUtil.SocketFactoryWrapper

- Enclosing class:
    TlsProtocolAndCipherSuiteConfigurationUtil

      public static class TlsProtocolAndCipherSuiteConfigurationUtil.SocketFactoryWrapper
      extends javax.net.ssl.SSLSocketFactory

  A wrapper for an `SSLSocketFactory` which ensures that all created sockets will use appropriate protocols and cipher suites.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SocketFactoryWrapper​(javax.net.ssl.SSLSocketFactory delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.net.Socket` | `createSocket()` |
    `java.net.Socket` | `createSocket​(java.lang.String host, int port)` |
    `java.net.Socket` | `createSocket​(java.lang.String host, int port, java.net.InetAddress localHost, int localPort)` |
    `java.net.Socket` | `createSocket​(java.net.InetAddress host, int port)` |
    `java.net.Socket` | `createSocket​(java.net.InetAddress address, int port, java.net.InetAddress localAddress, int localPort)` |
    `java.net.Socket` | `createSocket​(java.net.Socket s, java.lang.String host, int port, boolean autoClose)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String[]` | `getDefaultCipherSuites()` |
    `java.lang.String[]` | `getSupportedCipherSuites()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class javax.net.ssl.SSLSocketFactory

      `createSocket, getDefault`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SocketFactoryWrapper

          public SocketFactoryWrapper​(javax.net.ssl.SSLSocketFactory delegate)

  - ### Method Detail

    - #### createSocket

          public java.net.Socket createSocket()
                                       throws java.io.IOException

      Overrides:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket​(java.net.InetAddress address,
                                              int port,
                                              java.net.InetAddress localAddress,
                                              int localPort)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket​(java.net.InetAddress host,
                                              int port)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket​(java.net.Socket s,
                                              java.lang.String host,
                                              int port,
                                              boolean autoClose)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.ssl.SSLSocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket​(java.lang.String host,
                                              int port,
                                              java.net.InetAddress localHost,
                                              int localPort)
                                       throws java.io.IOException,
                                              java.net.UnknownHostException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`
        `java.net.UnknownHostException`

    - #### createSocket

          public java.net.Socket createSocket​(java.lang.String host,
                                              int port)
                                       throws java.io.IOException,
                                              java.net.UnknownHostException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`
        `java.net.UnknownHostException`

    - #### getDefaultCipherSuites

          public java.lang.String[] getDefaultCipherSuites()

      Specified by:
        `getDefaultCipherSuites` in class `javax.net.ssl.SSLSocketFactory`

    - #### getSupportedCipherSuites

          public java.lang.String[] getSupportedCipherSuites()

      Specified by:
        `getSupportedCipherSuites` in class `javax.net.ssl.SSLSocketFactory`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`